Subject: Re: [ippm] Genart last call review of draft-ietf-ippm-metric-registry-20

From: "Roni Even (A)" <[email-masked]>
Date: Fri, 1 Nov 2019 15:54:28 +0000

Hi Al,
I saw that IANA was consulted during the work.
I was wondering what will be the actual text that will be written in the IANA registry, I expected section 10 to describe it.

Registration Procedure(s)
Reference
Note

I am not sure yet what is the Registration Procedure and what will be written in the Note

Thanks
Roni

-----Original Message-----
From: Gen-art [mailto:[email-masked]] On Behalf Of MORTON, ALFRED C (AL)
Sent: Thursday, October 31, 2019 11:52 PM
To: Roni Even; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Gen-art] Genart last call review of draft-ietf-ippm-metric-registry-20

Hi Roni,
thanks for your comments, please see replies below.
Al

> -----Original Message-----
> From: Roni Even via Datatracker [mailto:[email-masked]]
> Sent: Tuesday, October 29, 2019 4:25 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; draft-ietf-ippm-metric- 
> [email-masked]
> Subject: Genart last call review of draft-ietf-ippm-metric-registry-20
> 
> Reviewer: Roni Even
> Review result: Almost Ready
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area 
> Review Team (Gen-ART) reviews all IETF documents being processed by 
> the IESG for the IETF Chair.  Please treat these comments just like 
> any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__trac.ietf.org_trac_gen_wiki_GenArtfaq&d=DwICaQ&c=LFYZ-
> o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=mLefZkw5Y_ld2AFv2msgpzOV5
> Z7lZ JkKTdUQf48X15g&s=uUg9ktSDILsslqK-rG4YIc3gMW0n6oCa-7Dk0xtFZRo&e=>.
> 
> Document: draft-ietf-ippm-metric-registry-??
> Reviewer: Roni Even
> Review Date: 2019-10-29
> IETF LC End Date: 2019-11-06
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary:
> The document is almost ready for publication as a BCP document
> 
> Major issues:
> 
> Minor issues:
> 1. From reading the document it looks to me that the registration 
> policy should be specification required which also requires expert review.
[acm]
I understand that perspective. In early review with IANA we decided on Expert Review partly because two elements of registry entries require references to immutable documents, such as standards specifications.
So the requirement for specifications could be seen as built-in.
But we may change to Specification Required now, the last IANA review is in-progress. 

> 2. My understanding is that for registration a document is required , 
> not necessarily and RFC, but in multiple places in the document ( 7.3, 
> 7.3.1, 8.2 ,...) the text talks about RFC and not document.
[acm]
Yes, a few of those slipped through, thanks.

> 3. I am not sure if section 6 is needed in the published document based on its content. 
[acm]
it's fairly easy for new implementers to pick-up an IPPM RFC (even a STD) and choose parameters that meet their needs. But for the additional advantage of measurement comparisons, more context is needed. Some may even ask why this registry requires the many details. Answer: See section 6.
A little history is good. Very few have been joining IPPM sessions long enough to know this history.

> If it will remain then in 6.1
> first paragraph the reference should be to section 5 and not to section 6.
[acm] ok

> 4.
> In sections 10.2 and 10.3 there are guidance taken from this document. 
> I think that the for IANA it should say in the registry note that the 
> registration must comply with RFCXXX (this document), I assume that 
> there is no need to repeat all this text in these sections in the registry note.
[acm]
I have said on a few occasions that almost the entire memo contains IANA Considerations. Nevertheless, we wrote and reviewed the memo and (then wrote) the separate IANA section with IANA's help.

I have implemented the agreed changes above in the working version.
Thanks again!

> Nits/editorial comments:

_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art